{...}: let
  email-domain = "chpu.eu";
  web-domain = "twoneis.site";
  new-domain = "miraculous.place";
in {
  conf = {
    host = "server";
    nginx = {
      domains = [
        email-domain
        web-domain
        new-domain
      ];
      email = "porkbun@${email-domain}";
    };

    email = {
      enable = true;
      domain = email-domain;
    };

    vikunja = {
      enable = true;
      domain = {
        full = "todo.${web-domain}";
        base = web-domain;
      };
    };

    website = {
      enable = true;
      domain = {
        full = web-domain;
        base = web-domain;
        me = "me.${web-domain}";
      };
    };

    fedi = {
      enable = true;
      domain = {
        full = "fedi.${web-domain}";
        base = web-domain;
      };
      email = "akkoma@${email-domain}";
      iceshrimp = {
        enable = false;
        domain = {
          full = "shrimp.${web-domain}";
          base = web-domain;
        };
      };
    };

    matrix = {
      enable = true;
      domain = {
        full = "matrix.${web-domain}";
        base = web-domain;
      };
      email = "matrix@${email-domain}";
      element-web.domain = "element.${web-domain}";
    };

    git = {
      enable = true;
      domain = {
        full = "git.${web-domain}";
        base = web-domain;
      };
    };

    stateVersion = "25.05";
    hmStateVersion = "25.05";
  };
}
